Bug 244534 - dovecot: unable to login to pop-3 or imap in default configuration
dovecot: unable to login to pop-3 or imap in default configuration
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
7
All Linux
low Severity urgent
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-16 15:55 EDT by Tomasz Ostrowski
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.4-17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-20 06:10:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
auditd messages logged (1.11 KB, text/plain)
2007-06-16 15:55 EDT, Tomasz Ostrowski
no flags Details

  None (edit)
Description Tomasz Ostrowski 2007-06-16 15:55:34 EDT
Description of problem:
After upgrade using anaconda from FC5 to F7 I'm unable to login to dovecot
services: pop3, pop3s, imap and imaps.

audit2allow -l < /var/log/audit/audit.log
#============= dovecot_auth_t ==============
allow dovecot_auth_t updpwd_exec_t:file execute;

Version-Release number of selected component (if applicable):
selinux-policy-targeted-2.6.4-14.fc7
dovecot-1.0.0-11.fc7

How reproducible:
Always

Steps to Reproduce:
1. telnet localhost pop-3
+OK Dovecot ready.
user [username]
+OK
pass [password]

Actual results:
-ERR Authentication failed.

Expected results:
+OK Logged in.

Additional info:
Reboot with "touch /.autorelabel" did not help.
After "setenforce 0" it works.
Auditd logs attached.
Comment 1 Tomasz Ostrowski 2007-06-16 15:55:34 EDT
Created attachment 157203 [details]
auditd messages logged
Comment 2 Tomasz Ostrowski 2007-06-16 19:36:08 EDT
Reverting from pam-0.99.7.1-5.1.fc7 to pam-0.99.7.1-5.fc7 helps.
Comment 3 Daniel Walsh 2007-06-18 11:29:37 EDT
Fixed in selinux-policy-2.6.4-17

Note You need to log in before you can comment on or make changes to this bug.